<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>AttractionController</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AttractionController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AttractionController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controller</a></div>
<h2 title="Class AttractionController" class="title">Class AttractionController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Controller.html" title="class in controller">controller.Controller</a></li>
<li>
<ul class="inheritance">
<li>controller.AttractionController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">AttractionController</span>
extends <a href="Controller.html" title="class in controller">Controller</a></pre>
<div class="block">Controller of actions with attractions</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ACTIVATE">ACTION_ACTIVATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_ADD">ACTION_ADD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_DEACTIVATE">ACTION_DEACTIVATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_DEL">ACTION_DEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ACTION_LIST">ACTION_LIST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#attractionActive">attractionActive</a></span></code></th>
<td class="colLast">
<div class="block">Attraction status control
 Activate/deactivate attraction for days in a year</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#attractionList">attractionList</a></span></code></th>
<td class="colLast">
<div class="block">List of attractions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_ATTRACTION_NO_EXIST">ERROR_ATTRACTION_NO_EXIST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_ATTRACTION_TYPE">ERROR_ATTRACTION_TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_ATTRACTION_YEAR">ERROR_ATTRACTION_YEAR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ACTIVATE">MENU_TEXT_ACTIVATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_ADD">MENU_TEXT_ADD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_CAPTION">MENU_TEXT_CAPTION</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_DEACTIVATE">MENU_TEXT_DEACTIVATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_DEL">MENU_TEXT_DEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#MENU_TEXT_LIST">MENU_TEXT_LIST</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="StatisticsController.html" title="class in controller">StatisticsController</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#statistics">statistics</a></span></code></th>
<td class="colLast">
<div class="block">Link to statistics controller</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TXT_ATTRACTION_DEL">TXT_ATTRACTION_DEL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TXT_ATTRACTION_ID">TXT_ATTRACTION_ID</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TXT_ATTRACTION_TYPE">TXT_ATTRACTION_TYPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AttractionController</a></span>()</code></th>
<td class="colLast">
<div class="block">Contructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionActivateAttraction(boolean)">actionActivateAttraction</a></span>&#8203;(boolean&nbsp;active)</code></th>
<td class="colLast">
<div class="block">Active/Deactive attraction action</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionAddAttraction()">actionAddAttraction</a></span>()</code></th>
<td class="colLast">
<div class="block">Add attraction action.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionListAttraction()">actionListAttraction</a></span>()</code></th>
<td class="colLast">
<div class="block">List attraction process.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionRemoveAttraction()">actionRemoveAttraction</a></span>()</code></th>
<td class="colLast">
<div class="block">Remove attraction process</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#activateAttraction(java.lang.String,java.time.LocalDate,java.time.LocalDate,boolean)">activateAttraction</a></span>&#8203;(java.lang.String&nbsp;id,
                  java.time.LocalDate&nbsp;dateFrom,
                  java.time.LocalDate&nbsp;dateTo,
                  boolean&nbsp;active)</code></th>
<td class="colLast">
<div class="block">Activate or deactivate an attraction on a date period of the same year</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code><a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAttraction(java.lang.String)">addAttraction</a></span>&#8203;(java.lang.String&nbsp;type)</code></th>
<td class="colLast">
<div class="block">Add attraction process.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,int)">addRideAdultToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                        <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                        int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Add a adult to ride attraction count</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,int)">addRideChildrenToAttraction</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                           <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                           int&nbsp;height)</code></th>
<td class="colLast">
<div class="block">Add a children to ride attraction count</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#execOption(tools.MenuItem)">execOption</a></span>&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">
<div class="block">Execute the menu option indicated.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttractionList()">getAttractionList</a></span>()</code></th>
<td class="colLast">
<div class="block">Obtain attraction list</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code><a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the list of options for the preparation of the menu.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>private <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#searchAttraction(java.lang.String)">searchAttraction</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Get the attraction with the indicated identifier</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStatistics(controller.StatisticsController)">setStatistics</a></span>&#8203;(<a href="StatisticsController.html" title="class in controller">StatisticsController</a>&nbsp;statistics)</code></th>
<td class="colLast">
<div class="block">Establishes the link with the statistics controller</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.controller.Controller">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;controller.<a href="Controller.html" title="class in controller">Controller</a></h3>
<code><a href="Controller.html#execMenu()">execMenu</a>, <a href="Controller.html#getOptionCaption(tools.MenuItem)">getOptionCaption</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ACTION_ACTIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ACTIVATE</h4>
<pre>private static final&nbsp;int ACTION_ACTIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ACTION_ACTIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_ADD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ADD</h4>
<pre>private static final&nbsp;int ACTION_ADD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ACTION_ADD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_DEACTIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DEACTIVATE</h4>
<pre>private static final&nbsp;int ACTION_DEACTIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ACTION_DEACTIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_DEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DEL</h4>
<pre>private static final&nbsp;int ACTION_DEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ACTION_DEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ACTION_LIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_LIST</h4>
<pre>private static final&nbsp;int ACTION_LIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ACTION_LIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_CAPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_CAPTION</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_CAPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_CAPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ACTIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ACTIVATE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ACTIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_ACTIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_ADD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_ADD</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_ADD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_ADD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_DEACTIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_DEACTIVATE</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_DEACTIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_DEACTIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_DEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_DEL</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_DEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_DEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="MENU_TEXT_LIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MENU_TEXT_LIST</h4>
<pre>private static final&nbsp;java.lang.String MENU_TEXT_LIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.MENU_TEXT_LIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TXT_ATTRACTION_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TXT_ATTRACTION_TYPE</h4>
<pre>private static final&nbsp;java.lang.String TXT_ATTRACTION_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.TXT_ATTRACTION_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TXT_ATTRACTION_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TXT_ATTRACTION_ID</h4>
<pre>private static final&nbsp;java.lang.String TXT_ATTRACTION_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.TXT_ATTRACTION_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TXT_ATTRACTION_DEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TXT_ATTRACTION_DEL</h4>
<pre>private static final&nbsp;java.lang.String TXT_ATTRACTION_DEL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.TXT_ATTRACTION_DEL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_ATTRACTION_YEAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_ATTRACTION_YEAR</h4>
<pre>private static final&nbsp;java.lang.String ERROR_ATTRACTION_YEAR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ERROR_ATTRACTION_YEAR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_ATTRACTION_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_ATTRACTION_TYPE</h4>
<pre>private static final&nbsp;java.lang.String ERROR_ATTRACTION_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ERROR_ATTRACTION_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_ATTRACTION_NO_EXIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_ATTRACTION_NO_EXIST</h4>
<pre>private static final&nbsp;java.lang.String ERROR_ATTRACTION_NO_EXIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#controller.AttractionController.ERROR_ATTRACTION_NO_EXIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="attractionList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attractionList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&gt; attractionList</pre>
<div class="block">List of attractions</div>
</li>
</ul>
<a id="attractionActive">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attractionActive</h4>
<pre>private final&nbsp;<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a> attractionActive</pre>
<div class="block">Attraction status control
 Activate/deactivate attraction for days in a year</div>
</li>
</ul>
<a id="statistics">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>statistics</h4>
<pre>private&nbsp;<a href="StatisticsController.html" title="class in controller">StatisticsController</a> statistics</pre>
<div class="block">Link to statistics controller</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AttractionController</h4>
<pre>public&nbsp;AttractionController()</pre>
<div class="block">Contructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="actionActivateAttraction(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionActivateAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionActivateAttraction&#8203;(boolean&nbsp;active)</pre>
<div class="block">Active/Deactive attraction action</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>active</code> - </dd>
</dl>
</li>
</ul>
<a id="actionListAttraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionListAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionListAttraction()</pre>
<div class="block">List attraction process.</div>
</li>
</ul>
<a id="actionRemoveAttraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionRemoveAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionRemoveAttraction()</pre>
<div class="block">Remove attraction process</div>
</li>
</ul>
<a id="actionAddAttraction()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionAddAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;actionAddAttraction()</pre>
<div class="block">Add attraction action.</div>
</li>
</ul>
<a id="activateAttraction(java.lang.String,java.time.LocalDate,java.time.LocalDate,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activateAttraction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;activateAttraction&#8203;(java.lang.String&nbsp;id,
                               java.time.LocalDate&nbsp;dateFrom,
                               java.time.LocalDate&nbsp;dateTo,
                               boolean&nbsp;active)</pre>
<div class="block">Activate or deactivate an attraction on a date period of the same year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dd><code>dateFrom</code> - </dd>
<dd><code>dateTo</code> - </dd>
<dd><code>active</code> - </dd>
</dl>
</li>
</ul>
<a id="addAttraction(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAttraction</h4>
<pre class="methodSignature">public&nbsp;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;addAttraction&#8203;(java.lang.String&nbsp;type)</pre>
<div class="block">Add attraction process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Attraction</dd>
</dl>
</li>
</ul>
<a id="addRideAdultToAttraction(java.time.LocalDate,attractions.Attraction,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRideAdultToAttraction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addRideAdultToAttraction&#8203;(java.time.LocalDate&nbsp;date,
                                     <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                                     int&nbsp;height)</pre>
<div class="block">Add a adult to ride attraction count</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a id="addRideChildrenToAttraction(java.time.LocalDate,attractions.Attraction,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRideChildrenToAttraction</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addRideChildrenToAttraction&#8203;(java.time.LocalDate&nbsp;date,
                                        <a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction,
                                        int&nbsp;height)</pre>
<div class="block">Add a children to ride attraction count</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>attraction</code> - </dd>
<dd><code>height</code> - </dd>
</dl>
</li>
</ul>
<a id="execOption(tools.MenuItem)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execOption</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;execOption&#8203;(<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;menuItem)</pre>
<div class="block">Execute the menu option indicated.
 Menu continue until exit option execute or false return</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#execOption(tools.MenuItem)">execOption</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>menuItem</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="getAttractionList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttractionList</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&gt;&nbsp;getAttractionList()</pre>
<div class="block">Obtain attraction list</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ArrayList</dd>
</dl>
</li>
</ul>
<a id="getMenu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenu</h4>
<pre class="methodSignature">public&nbsp;<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a>&nbsp;getMenu()</pre>
<div class="block">Gets the list of options for the preparation of the menu.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Controller.html#getMenu()">getMenu</a></code>&nbsp;in class&nbsp;<code><a href="Controller.html" title="class in controller">Controller</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>MenuItem[]</dd>
</dl>
</li>
</ul>
<a id="searchAttraction(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchAttraction</h4>
<pre class="methodSignature">private&nbsp;<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;searchAttraction&#8203;(java.lang.String&nbsp;id)</pre>
<div class="block">Get the attraction with the indicated identifier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Attraction</dd>
</dl>
</li>
</ul>
<a id="setStatistics(controller.StatisticsController)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setStatistics</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStatistics&#8203;(<a href="StatisticsController.html" title="class in controller">StatisticsController</a>&nbsp;statistics)</pre>
<div class="block">Establishes the link with the statistics controller</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statistics</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AttractionController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
